Package com.independentsoft.office

# Class AlternateContent

java.lang.Object
com.independentsoft.office.AlternateContent

All Implemented Interfaces:
  `ITextParagraphContent`

public class AlternateContent extends Object implements ITextParagraphContent
Represents a markup-compatibility alternate-content block (`mc:AlternateContent`): one or more `AlternateContentChoice` alternatives and an optional `AlternateContentFallback`. This is the shared model for DrawingML/chart hosts; WordprocessingML and PresentationML have their own host-level classes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `MC_NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlternateContent()`
  Instantiates a new alternate content.
  `AlternateContent​(InternalXMLStreamReader reader)`
  Instantiates a new alternate content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AlternateContent`
  `clone()`
  `List<AlternateContentChoice>`
  `getChoices()`
  Gets the list of `AlternateContentChoice` alternatives.
  `AlternateContentFallback`
  `getFallback()`
  Gets the fallback content.
  `void`
  `setFallback​(AlternateContentFallback fallback)`
  Sets the fallback content.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MC_NAMESPACE

    public static final String MC_NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### AlternateContent

    public AlternateContent()
    Instantiates a new alternate content.

  - ### AlternateContent

    public AlternateContent​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new alternate content.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public AlternateContent clone()
    Specified by:
      `clone` in interface `ITextParagraphContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getChoices

    public List<AlternateContentChoice> getChoices()
    Gets the list of `AlternateContentChoice` alternatives.
    Returns:
      the choices

  - ### getFallback

    public AlternateContentFallback getFallback()
    Gets the fallback content.
    Returns:
      the fallback

  - ### setFallback

    public void setFallback​(AlternateContentFallback fallback)
    Sets the fallback content.
    Parameters:
      `fallback` - the new fallback